/**
 * XML/HTML parser from string into DOM Document.
 */
declare type DOMParser = {
    prototype: any;
    new (): any;
};
/**
 * `node-canvas` exports.
 */
interface ICanvas {
    createCanvas(width: number, height: number): any;
    loadImage(src: string): Promise<any>;
}
interface IConfig {
    /**
     * XML/HTML parser from string into DOM Document.
     */
    DOMParser: DOMParser;
    /**
     * `node-canvas` exports.
     */
    canvas: ICanvas;
    /**
     * WHATWG-compatible `fetch` function.
     */
    fetch: typeof fetch;
}
/**
 * Options preset for `node-canvas`.
 * @param config - Preset requirements.
 * @param config.DOMParser - XML/HTML parser from string into DOM Document.
 * @param config.canvas - `node-canvas` exports.
 * @param config.fetch - WHATWG-compatible `fetch` function.
 */
export declare function node({ DOMParser, canvas, fetch }: IConfig): {
    window: null;
    ignoreAnimation: boolean;
    ignoreMouse: boolean;
    DOMParser: DOMParser;
    fetch: (input: RequestInfo, init?: RequestInit) => Promise<Response>;
    createCanvas: (width: number, height: number) => any;
    createImage: (src: string) => Promise<any>;
};
export {};
//# sourceMappingURL=node.d.ts.map